=== debian/changelog ===
hotpatch (0.2-1kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch file pointing to git.
  * Add lintian override for lack of ldconfig trigger.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 06 Jan 2023 12:24:29 -0600

hotpatch (0.2-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Raphaël Hertzog ]
  * Restrict builds to amd64 and i386

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 08 Jun 2021 16:26:28 +0200

hotpatch (0.2-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Bump Standards-Version and use debhelper-compat 13
  * Run the tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Dec 2020 09:24:30 +0100

hotpatch (0.2-1kali1) kali; urgency=low

  * Edited rules to skip auto_test

 -- Devon Kearns <dookie@kali.org>  Tue, 15 Jan 2013 15:38:01 -0700

hotpatch (0.2-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Tue, 15 Jan 2013 15:04:57 -0700
