=== debian/control ===
Source: hotpatch
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.6.1
Homepage: https://github.com/vikasnkumar/hotpatch
Vcs-Git: https://gitlab.com/kalilinux/packages/hotpatch.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hotpatch

Package: hotpatch
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hot patches Linux executables with .so file injection
 Hotpatch is a library that can be used to dynamically load a
 shared library (.so) file on Linux from one process into
 another already running process, without affecting the
 execution of the target process. The API is a C API, but
 also supported in C++.
