## hotpatch 0.2+git20200110.1.fd2baf1

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,8 @@
 
 option(DEBUG "In Debug mode" ON)
 option(USE_ASM "Use Assembler" OFF)
+option(BUILD_HOTPATCHER "Build hotpatcher" ON)
+option(BUILD_TESTS "Build tests" ON)
 if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
 	set(DEBUG OFF)
 endif (NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
@@ -146,4 +148,6 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)
 add_subdirectory(include)
 add_subdirectory(src)
-add_subdirectory(test)
+if (BUILD_TESTS)
+	add_subdirectory(test)
+endif (BUILD_TESTS)
