=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ###
 CMAKE=$(shell which cmake)
 CTEST=$(shell which ctest)
-PREFIX?=/usr
+PREFIX?=/usr/local
 ARCH=$(shell uname -m)
 
 default: release
