=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,8 @@
 install(TARGETS hotpatch LIBRARY DESTINATION lib)
 install(TARGETS hotpatch_s ARCHIVE DESTINATION lib)
 
-add_executable(hotpatcher main.c)
-target_link_libraries(hotpatcher hotpatch_s)
-install(TARGETS hotpatcher RUNTIME DESTINATION bin)
+if (BUILD_HOTPATCHER)
+	add_executable(hotpatcher main.c)
+	target_link_libraries(hotpatcher hotpatch_s)
+	install(TARGETS hotpatcher RUNTIME DESTINATION bin)
+endif (BUILD_HOTPATCHER)
