=== debian/changelog ===
hotpatch (0.2+git20200110.1.fd2baf1-0kali1~jan+nus10) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 13 Apr 2022 06:42:03 -0000
