=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Devon Kearns <dookie@kali.org>,
            Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/vikasnkumar/hotpatch
 Vcs-Git: https://gitlab.com/kalilinux/packages/hotpatch.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/hotpatch
