=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	cmake .
	$(MAKE)

override_dh_auto_install:
	install include/hotpatch.h $(CURDIR)/debian/hotpatch/usr/include/
	install src/libhotpatch.so $(CURDIR)/debian/hotpatch/usr/lib/
	install src/libhotpatch.a $(CURDIR)/debian/hotpatch/usr/lib/
	install src/hotpatcher $(CURDIR)/debian/hotpatch/usr/bin/
	install test/libhotpatchtest.so $(CURDIR)/debian/hotpatch/usr/lib/
